wreport::error_regexp Class Reference

Report an error while handling regular expressions. More...

`#include <error.h>`

Inheritance diagram for wreport::error_regexp:

## Public Member Functions

| error_regexp (int code, void *re, const std::string &msg)
Public Member Functions inherited from wreport::errors::StringBase< WR_ERR_REGEX >
| StringBase (const std::string &msg) noexcept
ErrorCode | code () const noexcept override
| Exception-specific error code.
const char * | what () const noexcept override
| Error message.

## Static Public Member Functions

static void | throwf (int code, void *re, const char *fmt,...) WREPORT_THROWF_ATTRS(3
| Throw the exception, building the message printf-style.
Static Public Member Functions inherited from wreport::error
static const char * | strerror (ErrorCode code)
| String description for an error code.

## Additional Inherited Members

Data Fields inherited from wreport::errors::StringBase< WR_ERR_REGEX >
std::string | msg
| error message returned by what()

## Detailed Description

Report an error while handling regular expressions.

## Constructor & Destructor Documentation

## error_regexp()

wreport::error_regexp::error_regexp | ( | int | code,
|  | void * | re,
|  | const std::string & | msg )

Parameters

  code | The error code returned by the regular expression functions.
  re | The pointer to the regex_t structure that was being used when the error occurred.
  msg | The error message

References wreport::errors::StringBase< WR_ERR_REGEX >::code(), and wreport::errors::StringBase< WR_ERR_REGEX >::msg.

The documentation for this class was generated from the following file:

- error.h